<?php

namespace FormatConverter\Adapters;

use FormatConverter\Interfaces\FormatAdapterInterface;

class JsonAdapter implements FormatAdapterInterface
{
    public function deserialize(string $data)
    {
        return json_decode($data, true);
    }

    public function serialize($data): string
    {
        return json_encode($data, JSON_PRETTY_PRINT);
    }
}